MageSmith
magento/module-catalog · Magento 2.4.9

Catalog REST endpoints

vendor/magento/module-catalog/etc/webapi.xml

81 endpoints

GET

GET

/V1/categories

Retrieve list of categories

Catalog · Magento\Catalog\Api\CategoryManagementInterface::getTree

GET

/V1/categories/:categoryId

Get info about category by category id

Catalog · Magento\Catalog\Api\CategoryRepositoryInterface::get

GET

/V1/categories/:categoryId/products

Get products assigned to category

Catalog · Magento\Catalog\Api\CategoryLinkManagementInterface::getAssignedProducts

GET

/V1/categories/attributes

Retrieve all attributes for entity type

Catalog · Magento\Catalog\Api\CategoryAttributeRepositoryInterface::getList

GET

/V1/categories/attributes/:attributeCode

Retrieve specific attribute

Catalog · Magento\Catalog\Api\CategoryAttributeRepositoryInterface::get

GET

/V1/categories/attributes/:attributeCode/options

Retrieve list of attribute options

Catalog · Magento\Catalog\Api\CategoryAttributeOptionManagementInterface::getItems

GET

/V1/categories/list

Get category list

Catalog · Magento\Catalog\Api\CategoryListInterface::getList

GET

/V1/products

Get product list

Catalog · Magento\Catalog\Api\ProductRepositoryInterface::getList

GET

/V1/products-render-info

Anonymous

Collect and retrieve the list of product render info.

Catalog · Magento\Catalog\Api\ProductRenderListInterface::getList

GET

/V1/products/:sku

Get info about product by product SKU

Catalog · Magento\Catalog\Api\ProductRepositoryInterface::get

GET

/V1/products/:sku/group-prices/:customerGroupId/tiers

Get tier price of product

Catalog · Magento\Catalog\Api\ProductTierPriceManagementInterface::getList

GET

/V1/products/:sku/links/:type

Provide the list of links for a specific product

Catalog · Magento\Catalog\Api\ProductLinkManagementInterface::getLinkedItemsByType

GET

/V1/products/:sku/media

Retrieve the list of gallery entries associated with given product

Catalog · Magento\Catalog\Api\ProductAttributeMediaGalleryManagementInterface::getList

GET

/V1/products/:sku/media/:entryId

Return information about gallery entry

Catalog · Magento\Catalog\Api\ProductAttributeMediaGalleryManagementInterface::get

GET

/V1/products/:sku/options

Get the list of custom options for a specific product

Catalog · Magento\Catalog\Api\ProductCustomOptionRepositoryInterface::getList

GET

/V1/products/:sku/options/:optionId

Get custom option for a specific product

Catalog · Magento\Catalog\Api\ProductCustomOptionRepositoryInterface::get

GET

/V1/products/attribute-sets/:attributeSetId

Retrieve attribute set information based on given ID

Catalog · Magento\Catalog\Api\AttributeSetRepositoryInterface::get

GET

/V1/products/attribute-sets/:attributeSetId/attributes

Retrieve related attributes based on given attribute set ID

Catalog · Magento\Catalog\Api\ProductAttributeManagementInterface::getAttributes

GET

/V1/products/attribute-sets/groups/list

Retrieve list of attribute groups

Catalog · Magento\Catalog\Api\ProductAttributeGroupRepositoryInterface::getList

GET

/V1/products/attribute-sets/sets/list

Retrieve list of Attribute Sets

Catalog · Magento\Catalog\Api\AttributeSetRepositoryInterface::getList

GET

/V1/products/attributes

Retrieve all attributes for entity type

Catalog · Magento\Catalog\Api\ProductAttributeRepositoryInterface::getList

GET

/V1/products/attributes/:attributeCode

Retrieve specific attribute

Catalog · Magento\Catalog\Api\ProductAttributeRepositoryInterface::get

GET

/V1/products/attributes/:attributeCode/is-filterable

Retrieve 'is_filterable' property for specific attribute as integer

Catalog · Magento\Catalog\Api\ProductAttributeIsFilterableManagementInterface::get

GET

/V1/products/attributes/:attributeCode/options

Retrieve list of attribute options

Catalog · Magento\Catalog\Api\ProductAttributeOptionManagementInterface::getItems

GET

/V1/products/attributes/types

Retrieve list of product attribute types

Catalog · Magento\Catalog\Api\ProductAttributeTypesListInterface::getItems

GET

/V1/products/links/:type/attributes

Provide a list of the product link type attributes

Catalog · Magento\Catalog\Api\ProductLinkTypeListInterface::getItemAttributes

GET

/V1/products/links/types

Retrieve information about available product link types

Catalog · Magento\Catalog\Api\ProductLinkTypeListInterface::getItems

GET

/V1/products/media/types/:attributeSetName

Retrieve the list of media attributes (fronted input type is media_image) assigned to the given attribute set.

Catalog · Magento\Catalog\Api\ProductMediaAttributeManagementInterface::getList

GET

/V1/products/options/types

Get custom option types

Catalog · Magento\Catalog\Api\ProductCustomOptionTypeListInterface::getItems

GET

/V1/products/types

Retrieve available product types

Catalog · Magento\Catalog\Api\ProductTypeListInterface::getProductTypes

POST

POST

/V1/categories

Create category service

Catalog · Magento\Catalog\Api\CategoryRepositoryInterface::save

POST

/V1/categories/:categoryId/products

Assign a product to the required category

Catalog · Magento\Catalog\Api\CategoryLinkRepositoryInterface::save

POST

/V1/products

Create product

Catalog · Magento\Catalog\Api\ProductRepositoryInterface::save

POST

/V1/products/:sku/group-prices/:customerGroupId/tiers/:qty/price/:price

Create tier price for product

Catalog · Magento\Catalog\Api\ProductTierPriceManagementInterface::add

POST

/V1/products/:sku/links

Assign a product link to another product

Catalog · Magento\Catalog\Api\ProductLinkManagementInterface::setProductLinks

POST

/V1/products/:sku/media

Create new gallery entry

Catalog · Magento\Catalog\Api\ProductAttributeMediaGalleryManagementInterface::create

POST

/V1/products/:sku/websites

Assign a product to the website

Catalog · Magento\Catalog\Api\ProductWebsiteLinkRepositoryInterface::save

POST

/V1/products/attribute-sets

Create attribute set from data

Catalog · Magento\Catalog\Api\AttributeSetManagementInterface::create

POST

/V1/products/attribute-sets/attributes

Assign attribute to attribute set

Catalog · Magento\Catalog\Api\ProductAttributeManagementInterface::assign

POST

/V1/products/attribute-sets/groups

Save attribute group

Catalog · Magento\Catalog\Api\ProductAttributeGroupRepositoryInterface::save

POST

/V1/products/attributes

Save attribute data

Catalog · Magento\Catalog\Api\ProductAttributeRepositoryInterface::save

POST

/V1/products/attributes/:attributeCode/options

Add option to attribute

Catalog · Magento\Catalog\Api\ProductAttributeOptionManagementInterface::add

POST

/V1/products/base-prices

Add or update product prices. Input item should correspond \Magento\Catalog\Api\Data\CostInterface. If any items will have invalid price, store id or sku, they will be marked as failed and excluded from update list and \Magento\Catalog\Api\Data\PriceUpdateResultInterface[] with problem description will be returned. If there were no failed items during update empty array will be returned. If error occurred during the update exception will be thrown.

Catalog · Magento\Catalog\Api\BasePriceStorageInterface::update

POST

/V1/products/base-prices-information

Return product prices. In case of at least one of skus is not found exception will be thrown.

Catalog · Magento\Catalog\Api\BasePriceStorageInterface::get

POST

/V1/products/cost

Add or update product cost. Input item should correspond to \Magento\Catalog\Api\Data\CostInterface. If any items will have invalid cost, store id or sku, they will be marked as failed and excluded from update list and \Magento\Catalog\Api\Data\PriceUpdateResultInterface[] with problem description will be returned. If there were no failed items during update empty array will be returned. If error occurred during the update exception will be thrown.

Catalog · Magento\Catalog\Api\CostStorageInterface::update

POST

/V1/products/cost-delete

Delete product cost. In case of at least one of skus is not found exception will be thrown. If error occurred during the delete exception will be thrown.

Catalog · Magento\Catalog\Api\CostStorageInterface::delete

POST

/V1/products/cost-information

Return product prices. In case of at least one of skus is not found exception will be thrown.

Catalog · Magento\Catalog\Api\CostStorageInterface::get

POST

/V1/products/options

Save Custom Option

Catalog · Magento\Catalog\Api\ProductCustomOptionRepositoryInterface::save

POST

/V1/products/special-price

Add or update product's special price. If any items will have invalid price, store id, sku or dates, they will be marked as failed and excluded from update list and \Magento\Catalog\Api\Data\PriceUpdateResultInterface[] with problem description will be returned. If there were no failed items during update empty array will be returned. If error occurred during the update exception will be thrown.

Catalog · Magento\Catalog\Api\SpecialPriceStorageInterface::update

POST

/V1/products/special-price-delete

Delete product's special price. If any items will have invalid price, store id, sku or dates, they will be marked as failed and excluded from delete list and \Magento\Catalog\Api\Data\PriceUpdateResultInterface[] with problem description will be returned. If there were no failed items during update empty array will be returned. If error occurred during the delete exception will be thrown.

Catalog · Magento\Catalog\Api\SpecialPriceStorageInterface::delete

POST

/V1/products/special-price-information

Return product's special price. In case of at least one of skus is not found exception will be thrown.

Catalog · Magento\Catalog\Api\SpecialPriceStorageInterface::get

POST

/V1/products/tier-prices

Add or update product prices. If any items will have invalid price, price type, website id, sku, customer group or quantity, they will be marked as failed and excluded from update list and \Magento\Catalog\Api\Data\PriceUpdateResultInterface[] with problem description will be returned. If there were no failed items during update empty array will be returned. If error occurred during the update exception will be thrown.

Catalog · Magento\Catalog\Api\TierPriceStorageInterface::update

POST

/V1/products/tier-prices-delete

Delete product tier prices. If any items will have invalid price, price type, website id, sku, customer group or quantity, they will be marked as failed and excluded from delete list and \Magento\Catalog\Api\Data\PriceUpdateResultInterface[] with problem description will be returned. If there were no failed items during update empty array will be returned. If error occurred during the update exception will be thrown.

Catalog · Magento\Catalog\Api\TierPriceStorageInterface::delete

POST

/V1/products/tier-prices-information

Return product prices. In case of at least one of skus is not found exception will be thrown.

Catalog · Magento\Catalog\Api\TierPriceStorageInterface::get

PUT

PUT

/V1/categories/:categoryId/move

Move category

Catalog · Magento\Catalog\Api\CategoryManagementInterface::move

PUT

/V1/categories/:categoryId/products

Assign a product to the required category

Catalog · Magento\Catalog\Api\CategoryLinkRepositoryInterface::save

PUT

/V1/categories/:id

Create category service

Catalog · Magento\Catalog\Api\CategoryRepositoryInterface::save

PUT

/V1/products/:sku

Create product

Catalog · Magento\Catalog\Api\ProductRepositoryInterface::save

PUT

/V1/products/:sku/links

Save product link

Catalog · Magento\Catalog\Api\ProductLinkRepositoryInterface::save

PUT

/V1/products/:sku/media/:entryId

Update gallery entry

Catalog · Magento\Catalog\Api\ProductAttributeMediaGalleryManagementInterface::update

PUT

/V1/products/:sku/websites

Assign a product to the website

Catalog · Magento\Catalog\Api\ProductWebsiteLinkRepositoryInterface::save

PUT

/V1/products/attribute-sets/:attributeSetId

Save attribute set data

Catalog · Magento\Catalog\Api\AttributeSetRepositoryInterface::save

PUT

/V1/products/attribute-sets/:attributeSetId/groups

Save attribute group

Catalog · Magento\Catalog\Api\ProductAttributeGroupRepositoryInterface::save

PUT

/V1/products/attributes/:attributeCode

Save attribute data

Catalog · Magento\Catalog\Api\ProductAttributeRepositoryInterface::save

PUT

/V1/products/attributes/:attributeCode/is-filterable/:isFilterable

Set 'is_filterable' property for specific attribute as integer

Catalog · Magento\Catalog\Api\ProductAttributeIsFilterableManagementInterface::set

PUT

/V1/products/attributes/:attributeCode/options/:optionId

Update attribute option

Catalog · Magento\Catalog\Api\ProductAttributeOptionUpdateInterface::update

PUT

/V1/products/options/:optionId

Save Custom Option

Catalog · Magento\Catalog\Api\ProductCustomOptionRepositoryInterface::save

PUT

/V1/products/tier-prices

Remove existing tier prices and replace them with the new ones. If any items will have invalid price, price type, website id, sku, customer group or quantity, they will be marked as failed and excluded from replace list and \Magento\Catalog\Api\Data\PriceUpdateResultInterface[] with problem description will be returned. If there were no failed items during update empty array will be returned. If error occurred during the update exception will be thrown.

Catalog · Magento\Catalog\Api\TierPriceStorageInterface::replace

DELETE

DELETE

/V1/categories/:categoryId

Delete category by identifier

Catalog · Magento\Catalog\Api\CategoryRepositoryInterface::deleteByIdentifier

DELETE

/V1/categories/:categoryId/products/:sku

Remove the product assignment from the category by category id and sku

Catalog · Magento\Catalog\Api\CategoryLinkRepositoryInterface::deleteByIds

DELETE

/V1/products/:sku

Catalog · Magento\Catalog\Api\ProductRepositoryInterface::deleteById

DELETE

/V1/products/:sku/group-prices/:customerGroupId/tiers/:qty

Remove tier price from product

Catalog · Magento\Catalog\Api\ProductTierPriceManagementInterface::remove

DELETE

/V1/products/:sku/links/:type/:linkedProductSku

Catalog · Magento\Catalog\Api\ProductLinkRepositoryInterface::deleteById

DELETE

/V1/products/:sku/media/:entryId

Remove gallery entry

Catalog · Magento\Catalog\Api\ProductAttributeMediaGalleryManagementInterface::remove

DELETE

/V1/products/:sku/options/:optionId

Catalog · Magento\Catalog\Api\ProductCustomOptionRepositoryInterface::deleteByIdentifier

DELETE

/V1/products/:sku/websites/:websiteId

Remove the website assignment from the product by product sku

Catalog · Magento\Catalog\Api\ProductWebsiteLinkRepositoryInterface::deleteById

DELETE

/V1/products/attribute-sets/:attributeSetId

Remove attribute set by given ID

Catalog · Magento\Catalog\Api\AttributeSetRepositoryInterface::deleteById

DELETE

/V1/products/attribute-sets/:attributeSetId/attributes/:attributeCode

Remove attribute from attribute set

Catalog · Magento\Catalog\Api\ProductAttributeManagementInterface::unassign

DELETE

/V1/products/attribute-sets/groups/:groupId

Remove attribute group by id

Catalog · Magento\Catalog\Api\ProductAttributeGroupRepositoryInterface::deleteById

DELETE

/V1/products/attributes/:attributeCode

Delete Attribute by id

Catalog · Magento\Catalog\Api\ProductAttributeRepositoryInterface::deleteById

DELETE

/V1/products/attributes/:attributeCode/options/:optionId

Delete option from attribute

Catalog · Magento\Catalog\Api\ProductAttributeOptionManagementInterface::delete

Every Magento dev tool, in one hosted workspace.

Free to sign up. Nothing to install. Drafts, audits, and projects saved across every tool.